Subject: Re: [Int-area] FW: New Version Notification for draft-ietf-intarea-probe-08.txt

From: "Joel M. Halpern" <[email-masked]>
Date: Tue, 12 Dec 2017 16:35:59 -0500

Thanks Ron.  The changes related to our discussions nicely address my 
concerns.
Yours,
Joel

On 12/12/17 4:14 PM, Ron Bonica wrote:
> Folks,
> 
> I have posted a new version of draft-ietf-intarea-probe reflecting IETF LC comments from Joel, Stewart, Stephan, Yaron and Amanda. Please take a look at the document to make sure that I have addressed your comments satisfactorily.
> 
>                                                        Ron
> 
> 
> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]
> Sent: Tuesday, December 12, 2017 3:59 PM
> To: Ron Bonica <[email-masked]>; Mohamed Boucadair <[email-masked]>; Jen Linkova <[email-masked]>; Reji Thomas <[email-masked]>; J. Linkova <[email-masked]>; Chris Lenart <[email-masked]>
> Subject: New Version Notification for draft-ietf-intarea-probe-08.txt
> 
> 
> A new version of I-D, draft-ietf-intarea-probe-08.txt has been successfully submitted by Ron Bonica and posted to the IETF repository.
> 
> Name:		draft-ietf-intarea-probe
> Revision:	08
> Title:		PROBE: A Utility For Probing Interfaces
> Document date:	2017-12-12
> Group:		intarea
> Pages:		17
> 
> The IETF datatracker status page for this draft is:
> https://datatracker.ietf.org/doc/draft-ietf-intarea-probe/
> 
> There are also htmlized versions available at:
> https://tools.ietf.org/html/draft-ietf-intarea-probe-08
> https://datatracker.ietf.org/doc/html/draft-ietf-intarea-probe-08
> 
> A diff from the previous version is available at:
> https://www.ietf.org/rfcdiff?url2=draft-ietf-intarea-probe-08
> 
> Abstract:
>     This document describes a network diagnostic tool called PROBE.
>     PROBE is similar to PING, in that it can be used to query the status
>     of a probed interface.  It differs from PING in that it does not
>     require bidirectional connectivity between the probing and probed
>     interfaces.  Instead, PROBE requires bidirectional connectivity
>     between the probing interface and a proxy interface.  The proxy
>     interface can reside on the same node as the probed interface or it
>     can reside on a node to which the probed interface is directly
>     connected.  This document updates RFC 4884.
> 
>                                                                                    
> 
> 
> Please note that it may take a couple of minutes from the time of submission until the htmlized version and diff are available at tools.ietf.org.
> 
> The IETF Secretariat
>

---

From: "Amanda Baber via RT" <[email-masked]>
Date: Tue, 12 Dec 2017 21:36:04 +0000

Hi Ron,

We need to ask for one more thing that we didn't ask for in our review, and it's because there's an error in the registration procedure data in the registries. Both https://www.iana.org/assignments/icmpv6-parameters and https://www.iana.org/assignments/icmp-parameters incorrectly state that the IESG Approval or Standards Action are the registration procedures for all "Code" registries. 

However, RFC 4443 and RFC 2780 state that "The policy for assigning Code values for new IPv6 ICMP Types not defined in this document should be defined in the document defining the new Type" (https://tools.ietf.org/html/rfc4443#section-6.1) and "The policy for assigning Code values for new IPv4 ICMP Types should be defined in the document defining the new Type value" (https://tools.ietf.org/html/rfc2780, section 6). 

Can you provide registration procedures for all of the Code registries? For our purposes, these could be added to the document as late as after IESG approval, when we're completing the actions, if that's more convenient/appropriate. 

Was our identification of 15 as the maximum values for the Code registries correct?

Amanda

On Tue Dec 12 21:14:40 2017, [email-masked] wrote:
> Folks,
> 
> I have posted a new version of draft-ietf-intarea-probe reflecting
> IETF LC comments from Joel, Stewart, Stephan, Yaron and Amanda. Please
> take a look at the document to make sure that I have addressed your
> comments satisfactorily.
> 
> Ron
> 
> 
> To: Ron Bonica <[email-masked]>; Mohamed Boucadair
> <[email-masked]>; Jen Linkova <[email-masked]>; Reji
> Thomas <[email-masked]>; J. Linkova <[email-masked]>; Chris
> Lenart <[email-masked]>
> A new version of I-D, draft-ietf-intarea-probe-08.txt has been
> successfully submitted by Ron Bonica and posted to the IETF
> repository.
> 
> Please note that it may take a couple of minutes from the time of
> submission until the htmlized version and diff are available at
> tools.ietf.org.
> 
> The IETF Secretariat
>

---

From: Ron Bonica <[email-masked]>
Date: Tue, 12 Dec 2017 21:55:16 +0000

All codes a First Come First Serve (FCFS). I will spin a new version and submit it ASAP.

                         Ron

> From: Amanda Baber via RT [mailto:[email-masked]]
> Sent: Tuesday, December 12, 2017 4:36 PM
> Cc: [email-masked]; [email-masked];
> [email-masked]; [email-masked];
> [email-masked]; [email-masked]; Ron Bonica
> <[email-masked]>; [email-masked]
> Subject: [IANA #992480] FW: New Version Notification for draft-ietf-intarea-
> probe-08.txt
> 
> Hi Ron,
> 
> We need to ask for one more thing that we didn't ask for in our review, and
> it's because there's an error in the registration procedure data in the
> registries. Both https://urldefense.proofpoint.com/v2/url?u=https-
> 3A__www.iana.org_assignments_icmpv6-
> 2Dparameters&d=DwIDaQ&c=HAkYuh63rsuhr6Scbfh0UjBXeMK-
> ndb3voDTXcWzoCI&r=Fch9FQ82sir-BoLx84hKuKwl-
> AWF2EfpHcAwrDThKP8&m=FjlPdWOkYxEJzt9MQX1-
> M75o_na80GFrPWen2FkA-
> FI&s=TLb_jHVPHe0Dj7nQ4Cxwyrf8kdC5iiojQPhDvNKJtTc&e= and
> https://urldefense.proofpoint.com/v2/url?u=https-
> 3A__www.iana.org_assignments_icmp-
> 2Dparameters&d=DwIDaQ&c=HAkYuh63rsuhr6Scbfh0UjBXeMK-
> ndb3voDTXcWzoCI&r=Fch9FQ82sir-BoLx84hKuKwl-
> AWF2EfpHcAwrDThKP8&m=FjlPdWOkYxEJzt9MQX1-
> M75o_na80GFrPWen2FkA-
> FI&s=caVCOf9tFAN8f24EMxRMHvTiDs5J4_xCxb1H9wrRdy0&e= incorrectly
> state that the IESG Approval or Standards Action are the registration
> procedures for all "Code" registries.
> 
> However, RFC 4443 and RFC 2780 state that "The policy for assigning Code
> values for new IPv6 ICMP Types not defined in this document should be
> defined in the document defining the new Type"
> (https://urldefense.proofpoint.com/v2/url?u=https-
> 3A__tools.ietf.org_html_rfc4443-23section-
> 2D6.1&d=DwIDaQ&c=HAkYuh63rsuhr6Scbfh0UjBXeMK-
> ndb3voDTXcWzoCI&r=Fch9FQ82sir-BoLx84hKuKwl-
> AWF2EfpHcAwrDThKP8&m=FjlPdWOkYxEJzt9MQX1-
> M75o_na80GFrPWen2FkA-
> FI&s=pbDiItpJesJOl2L2iBx1kDXKkeb1C7z0OI5HymB1tmw&e=) and "The
> policy for assigning Code values for new IPv4 ICMP Types should be defined
> in the document defining the new Type value"
> (https://urldefense.proofpoint.com/v2/url?u=https-
> 3A__tools.ietf.org_html_rfc2780&d=DwIDaQ&c=HAkYuh63rsuhr6Scbfh0UjB
> XeMK-ndb3voDTXcWzoCI&r=Fch9FQ82sir-BoLx84hKuKwl-
> AWF2EfpHcAwrDThKP8&m=FjlPdWOkYxEJzt9MQX1-
> M75o_na80GFrPWen2FkA-
> FI&s=mcXN5Wq_JQeqJYW6SKSDoqHccqV9BSu4TL55DhDzBRk&e=, section 6).
> 
> Can you provide registration procedures for all of the Code registries? For our
> purposes, these could be added to the document as late as after IESG
> approval, when we're completing the actions, if that's more
> convenient/appropriate.
> 
> > https://urldefense.proofpoint.com/v2/url?u=https-3A__datatracker.ietf.
> > org_doc_draft-2Dietf-2Dintarea-
> 2Dprobe_&d=DwIDaQ&c=HAkYuh63rsuhr6Scbfh
> > 0UjBXeMK-ndb3voDTXcWzoCI&r=Fch9FQ82sir-BoLx84hKuKwl-
> AWF2EfpHcAwrDThKP8
> > &m=FjlPdWOkYxEJzt9MQX1-M75o_na80GFrPWen2FkA-
> FI&s=4sUgvChAKXjuVzWPrGKqb
> > fqt_jA6PiVIL6DZPsAjZ5w&e=
> >
> > https://urldefense.proofpoint.com/v2/url?u=https-3A__tools.ietf.org_ht
> > ml_draft-2Dietf-2Dintarea-2Dprobe-
> 2D08&d=DwIDaQ&c=HAkYuh63rsuhr6Scbfh0
> > UjBXeMK-ndb3voDTXcWzoCI&r=Fch9FQ82sir-BoLx84hKuKwl-
> AWF2EfpHcAwrDThKP8&
> > m=FjlPdWOkYxEJzt9MQX1-M75o_na80GFrPWen2FkA-
> FI&s=INWpBt9CzwPXJTZhxfmFY-
> > cu3M3T0JhFasMgfRuRyWg&e=
> > https://urldefense.proofpoint.com/v2/url?u=https-3A__datatracker.ietf.
> > org_doc_html_draft-2Dietf-2Dintarea-2Dprobe-
> 2D08&d=DwIDaQ&c=HAkYuh63rs
> > uhr6Scbfh0UjBXeMK-ndb3voDTXcWzoCI&r=Fch9FQ82sir-BoLx84hKuKwl-
> AWF2EfpHc
> > AwrDThKP8&m=FjlPdWOkYxEJzt9MQX1-M75o_na80GFrPWen2FkA-
> FI&s=LUCrIXP0TerM
> > 3OMtBViTNxSMap1b9A7NYTunO5SiyAo&e=
> >
> > https://urldefense.proofpoint.com/v2/url?u=https-
> 3A__www.ietf.org_rfcd
> > iff-3Furl2-3Ddraft-2Dietf-2Dintarea-2Dprobe-
> 2D08&d=DwIDaQ&c=HAkYuh63rs
> > uhr6Scbfh0UjBXeMK-ndb3voDTXcWzoCI&r=Fch9FQ82sir-BoLx84hKuKwl-
> AWF2EfpHc
> > AwrDThKP8&m=FjlPdWOkYxEJzt9MQX1-M75o_na80GFrPWen2FkA-
> FI&s=WlzMSjovLFmc
> > yOO7nNHeov_N1fzX_wHL3DSfor0vEsE&e=
> >
> > Abstract:

---

From: Ron Bonica <[email-masked]>
Date: Tue, 12 Dec 2017 21:14:25 +0000

Folks,

                                                      Ron

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] 
Sent: Tuesday, December 12, 2017 3:59 PM
To: Ron Bonica <[email-masked]>; Mohamed Boucadair <[email-masked]>; Jen Linkova <[email-masked]>; Reji Thomas <[email-masked]>; J. Linkova <[email-masked]>; Chris Lenart <[email-masked]>
Subject: New Version Notification for draft-ietf-intarea-probe-08.txt

Abstract:

The IETF Secretariat

---

From: Yaron Sheffer <[email-masked]>
Date: Tue, 12 Dec 2017 23:21:56 -0800

Same here.

Thanks,
	Yaron

On 12/12/17 13:35, Joel M. Halpern wrote:
>> successfully submitted by Ron Bonica and posted to the IETF repository.
>>